pdf("Figure1.pdf",height=3,width=10)
par(mfrow=c(1,4),las=2)

load(file="Analysen_Section2/nullcase_n50/gini0.05n50.RData")
load(file="Analysen_Section2/nullcase_n50/gini0.1n50.RData")
load(file="Analysen_Section2/nullcase_n50/gini0.25n50.RData")
load(file="Analysen_Section2/nullcase_n50/gini0.4n50.RData")

boxplot(gini0.05n50,gini0.1n50,gini0.25n50,gini0.4n50,names=c("MAF=0.05","MAF=0.1","MAF=0.25","MAF=0.40"),ylab="Gini importance",main="randomForest - Gini VIM\n non-informative, n=50")

 
load(file="Analysen_Section2/nullcase_n200/gini0.05n200.RData")
load(file="Analysen_Section2/nullcase_n200/gini0.1n200.RData")
load(file="Analysen_Section2/nullcase_n200/gini0.25n200.RData")
load(file="Analysen_Section2/nullcase_n200/gini0.4n200.RData")

boxplot(gini0.05n200,gini0.1n200,gini0.25n200,gini0.4n200,names=c("MAF=0.05","MAF=0.1","MAF=0.25","MAF=0.40"),ylab="Gini importance",main="randomForest - Gini VIM\n non-informative, n=200")
 
load(file="Analysen_Section2/nullcase_n1000/gini0.05n1000.RData")
load(file="Analysen_Section2/nullcase_n1000/gini0.1n1000.RData")
load(file="Analysen_Section2/nullcase_n1000/gini0.25n1000.RData")
load(file="Analysen_Section2/nullcase_n1000/gini0.4n1000.RData")

boxplot(gini0.05n1000,gini0.1n1000,gini0.25n1000,gini0.4n1000,names=c("MAF=0.05","MAF=0.1","MAF=0.25","MAF=0.40"),ylab="Gini importance",main="randomForest - Gini VIM\n non-informative, n=1000")

load(file="Analysen_Section2/nullcase_n10000/gini0.05n10000.RData")
load(file="Analysen_Section2/nullcase_n10000/gini0.1n10000.RData")
load(file="Analysen_Section2/nullcase_n10000/gini0.25n10000.RData")
load(file="Analysen_Section2/nullcase_n10000/gini0.4n10000.RData")

  
boxplot(gini0.05n10000,gini0.1n10000,gini0.25n10000,gini0.4n10000,names=c("MAF=0.05","MAF=0.1","MAF=0.25","MAF=0.40"),ylab="Gini importance",main="randomForest - Gini VIM\n non-informative, n=10000")

dev.off()
